Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5027 - lpr/lpd ALWAYS prints trailer page, never sees "-#" option
Summary: lpr/lpd ALWAYS prints trailer page, never sees "-#" option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://www.users.fast.net/~tkunz/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-09 18:23 UTC by tkunz
Modified: 2014-03-17 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-18 16:17:45 UTC


Attachments (Terms of Use)

Description tkunz 1999-09-09 18:23:40 UTC
If you try to print using the "-h" option to suppress
headers, you will always get the page after the job with
your name, job title, etc.  Even if you set the options in
/etc/printcap, it still never works.  I hacked the C code
and forced it to work right, though.  Fixes are available if
you ask for them.

Also, lpd doesn't print the right number of copies with the
"-#" option.  It always prints only 1 copy.  I hacked the
code for that, too, and those fixes are available if you
want them, also.

Comment 1 Bill Nottingham 1999-09-09 20:02:59 UTC
Already fixed in the latest lpr RPM in Raw Hide. (0.41-1)

Comment 2 tkunz 1999-09-10 18:30:59 UTC
This is STILL not fixed.  I downloaded lpr-0.41-1.rpm from your Raw
Hide ftp site, and still I don't get multiple pages when I want them.
I don't get headers, which is good, but multiple copies still doesn't
work.  Really, if you want some actual, working fixes for it, just let
me know.

Comment 3 Bill Nottingham 1999-09-10 20:59:59 UTC
Hmm... the multiple pages fix we have works here;
send your patch to bugzilla and I'll look at it - thanks!

Comment 4 Bill Nottingham 1999-09-20 18:31:59 UTC
Due to changes in lpr since 6.0, the patch will not apply
cleanly (and if applied will break lpd.)

How is the system set up where you're trying to get multiple
pages (i.e., what version of lpr/lpd is running on both
the client and the server?)

Comment 5 Bill Nottingham 1999-10-18 16:17:59 UTC
This should be fixed in the lpr-0.43 errata.


Note You need to log in before you can comment on or make changes to this bug.